En:HOWTO: Insall KDE 4.1 from KDESvn-Portage (UNSUPPORTED)

From Sabayon Wiki
Revision as of 21:59, 12 February 2009 by Zambayoni (Talk | contribs)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search
i18n: ca en es fr
This method is not reccomended by the Sabayon Linux Crew and requires a level of understanding of Gentoo and Portage

1.Add the kdesvn-portage overlay. To do this we will use the KDESVN-portage overlay. Luckily this overlay is available through Layman, Layman is installed by default, you may wish to update to the latest available version of Layman and portage. To Update run these commands as root:

emerge --sync && layman -S
emerge -v portage layman

To add the overlay itself run this command as root:

layman -f -a kdesvn-portage

This will add the kdesvn-portage overlay. This contains the most up-to-date 3rd party ebuilds of KDE software, as well as packages for current development (svn) builds.

2. Unmask all the kde 4.* packages. If you prefer you can do this using kate, or another GUI text editor. To unmask the packages, open up your text editor as root (using su or kdesu), open


Now search for all packages with the string kde in the name, and remove them from this file. Save your changes.

3. Run the command to install KDE4.1, as root run:

emerge kdebase-meta

That's it. Hopefully, this WILL work for you. This is NOT supported by Sabayon, please contact Mewshi (see note below)